{{- $inServerMode := .Site.IsServer }}
{{- $npm_js := slice -}}
{{- range (slice "node_modules/jquery/dist/jquery.min.js" "node_modules/@creativebulma/bulma-collapsible/dist/js/bulma-collapsible.min.js" ) -}}
{{- $npm_js = $npm_js | append (resources.Get .) -}}
{{- end -}}
{{- $app_js := resources.Match "js/*.js" -}}
{{- $vendor_js := resources.Match "vendor/**/*.js" -}}
{{- $js := $app_js | union $vendor_js | union $npm_js | resources.Concat "assets/main.js" -}}
{{- $js_min := cond (false) ($js) ($js | minify | fingerprint) }}
<script src="{{ $js_min.Permalink }}" integrity="{{ $js_min.Data.Integrity }}" async crossOrigin="anonymous">
</script>
{{- if .Params.includes_math -}}
<script type="text/javascript"
    src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/MathJax.js?config=TeX-AMS-MML_HTMLorMML" async>
    </script>
<script type="text/x-mathjax-config">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [
                ['$', '$'],
                ['\\(', '\\)']
            ],
            displayMath: [
                ['$$', '$$']
            ],
            processEscapes: true,
            processEnvironments: true,
            skipTags: ['script', 'noscript', 'style', 'textarea', 'pre'],
            TeX: {
                equationNumbers: {
                    autoNumber: "AMS"
                },
                extensions: ["AMSmath.js", "AMSsymbols.js"]
            }
        }
    });
    MathJax.Hub.Config({
        // Autonumbering by mathjax
        TeX: {
            equationNumbers: {
                autoNumber: "AMS"
            }
        }
    });
</script>
{{- end -}}